#Definet analysis module
HeatTransfer 2D; #2D ,or 2d, or 3D or 3d indicate the model dimension. 

#Defining HeatTransfer Material
HTMaterial ConcreteEC2 1 0.0;
  
#Defining slab geometry: just need a cross section is enough in 2D analysis 
set t 0.1;
set w 3.15;
  
#Defining Entity
HTEntity  Block   1   0.0  [expr $t/2]   $w  $t ; #A 2D block with its centroid at 0,t/2;
  
#Defining mesh: 
set elemx [expr $w/20]
set elemy [expr $t/8] 
HTMesh 1 1 1 -phaseChange 1 -MeshCtrls $elemx  $elemy
HTMeshAll;
 
# define ambient temperature
SetInitialT 293.15; #Kelvin degree centigrade is used here 
 
#Defining heat transfer boundary conditions：
HTConstants 1 4.0 293.15 0.7 0.7 ; # unexposed surface
HTConstants 2 25.0 293.15 0.7 0.7; # exposed surface      

HTPattern AmbientBC 1 { 
         HeatFluxBC -HTEntity 1 -face 4 -type ConvecAndRad -HTConstants 1;  #The unexposed surface
  }
  
FireModel standard 1;   #defining fire model 
HTPattern fire  2  model 1  {
         HeatFluxBC -HTEntity 1 -face 1 -type ConvecAndRad -HTConstants 2; #The exposed surface
 }
 
#Defining node set that are expected to output here:
HTNodeSet 1 -Locx 0.0  
HTRecorder -file tempslab2D.out -NodeSet 1

HTAnalysis HeatTransfer
HTAnalyze 120 15;	

wipe;