#Definet analysis module
HeatTransfer 3D;  #2D ,or 2d, or 3D or 3d indicate the model dimension. 

#Defining HeatTransfer Material
HTMaterial ConcreteEC2 1 0.0; 

#Defining slab geometry: 
set slabw 3.15;  #slab width
set slabl 4.15;	#slab length
set slabt 0.1;	#slab thickness

#Defining Entity: 
HTEntity Brick 1 0.0 0.0 0.0 $slabw $slabt $slabl; #A 3D brick with its centroid at 0,0,0;X-axis along its width;Y-axis is through depth and Z-axis along its length

#Defining mesh: 
set elex [expr $slabw/20];
set eley [expr $slabt/8];
set elez [expr $slabl/20];
#HTMesh $MeshTag $EntityTag  $MaterialTag -phaseChange -MeshCtrls $eleSizeX
HTMesh    1 1 1 -phaseChange 1 -MeshCtrls $elex $eley $elez;  
HTMeshAll;

#Defining ambient temperature:
SetInitialT 293.15; #Kelvin degree centigrade is used here

#Defining heat transfer boundary conditions：
HTConstants 1 4.0 293.15 0.7 0.7 ; # unexposed surface
HTConstants 2 25.0 293.15 0.7 0.7; # exposed surface

HTPattern AmbientBC 1 {
	HeatFluxBC -HTEntity 1 -face 2 -type ConvecAndRad -HTConstants 1;  #The unexposed surface
}

FireModel standard 1;   #defining fire model
HTPattern fire 2 model 1 {
	HeatFluxBC -HTEntity 1 -face 1 -type ConvecAndRad -HTConstants 2; #The exposed surface
}

#Defining node set that are expected to output here:
HTNodeSet 1 -Locx 0.0 -Locz 0.0; 
HTRecorder -file tempslab3D.out -NodeSet 1;

HTAnalysis HeatTransfer
#Defining analysis steps and step time;
HTAnalyze 120 15;	

wipe;

	
	